nl.topicus.jdbc.statement

## Class CloudSpannerStatement.CustomDriverStatement

- java.lang.Object
- - nl.topicus.jdbc.statement.CloudSpannerStatement.CustomDriverStatement

Enclosing class:
  CloudSpannerStatement

    public abstract class CloudSpannerStatement.CustomDriverStatement
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `execute(String[] sqlTokens)`
`protected ResultSet` `executeQuery(String[] sqlTokens)`
`protected int` `executeUpdate(String[] sqlTokens)`
`protected boolean` `isQuery()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isQuery

    protected final boolean isQuery()

#### execute

    protected final boolean execute(String[] sqlTokens)
                             throws SQLException

Throws:
  `SQLException`

#### executeQuery

    protected ResultSet executeQuery(String[] sqlTokens)
                              throws SQLException

Throws:
  `SQLException`

#### executeUpdate

    protected int executeUpdate(String[] sqlTokens)
                         throws SQLException

Throws:
  `SQLException`